/ comp / gb.db / connection / open
Connection.Open (gb.db)
Syntax

    SUB Open ( )

Opens the connection to the database.

The connection properties should be set prior to this.

### Examples

    DIM $hConn As NEW Connection

    WITH $hConn
       .Type = "postgresql"
       .Host = "localhost"
       .Login = "username"
       .Password = "passwd"
       .Name = "testdb"
    END WITH

    TRY $hConn.Open
    IF Error THEN PRINT "Cannot Open Database. Error = "; Error.Text